import cmdlib
import es

def load():
	load_client_server_cmd()
	es.server.cmd("exec soccer_mod/commands.cfg")

def load_client_server_cmd():
	cmdlib.registerServerCommand("soccer_mod_cmd_admin", client_admin, "Client command setting")
	cmdlib.registerServerCommand("soccer_mod_cmd_info", client_info, "Client command setting")
	cmdlib.registerServerCommand("soccer_mod_cmd_vote", client_vote, "Client command setting")
	cmdlib.registerServerCommand("soccer_mod_cmd_match_stats", client_match_stats, "Client command setting")
	cmdlib.registerServerCommand("soccer_mod_cmd_match_stats_rank", client_match_stats_rank, "Client command setting")
	cmdlib.registerServerCommand("soccer_mod_cmd_match_start", client_match_start, "Client command setting")
	cmdlib.registerServerCommand("soccer_mod_cmd_match_pause", client_match_pause, "Client command setting")
	cmdlib.registerServerCommand("soccer_mod_cmd_match_unpause", client_match_unpause, "Client command setting")
	cmdlib.registerServerCommand("soccer_mod_cmd_match_stop", client_stop, "Client command setting")
	cmdlib.registerServerCommand("soccer_mod_cmd_match_sub", client_sub, "Client command setting")
	cmdlib.registerServerCommand("soccer_mod_cmd_shout", client_shout, "Client command setting")
	cmdlib.registerServerCommand("soccer_mod_cmd_sprint", client_sprint, "Client command setting")

def client_admin(args):
	es.set("sm_cmd_admin", args[0])

def client_info(args):
	es.set("sm_cmd_info", args[0])

def client_vote(args):
	es.set("sm_cmd_vote", args[0])

def client_match_stats(args):
	es.set("sm_cmd_match_stats", args[0])

def client_match_stats_rank(args):
	es.set("sm_cmd_match_stats_rank", args[0])

def client_match_start(args):
	es.set("sm_cmd_match_start", args[0])

def client_match_pause(args):
	es.set("sm_cmd_match_pause", args[0])

def client_match_unpause(args):
	es.set("sm_cmd_match_unpause", args[0])

def client_stop(args):
	es.set("sm_cmd_match_stop", args[0])

def client_sub(args):
	es.set("sm_cmd_match_sub", args[0])

def client_shout(args):
	es.set("sm_cmd_shout", args[0])

def client_sprint(args):
	es.set("sm_cmd_sprint", args[0])

def unload_client_server_cmd():
	cmdlib.unregisterServerCommand("soccer_mod_cmd_admin")
	cmdlib.unregisterServerCommand("soccer_mod_cmd_info")
	cmdlib.unregisterServerCommand("soccer_mod_cmd_vote")
	cmdlib.unregisterServerCommand("soccer_mod_cmd_match_stats")
	cmdlib.unregisterServerCommand("soccer_mod_cmd_match_stats_rank")
	cmdlib.unregisterServerCommand("soccer_mod_cmd_match_start")
	cmdlib.unregisterServerCommand("soccer_mod_cmd_match_pause")
	cmdlib.unregisterServerCommand("soccer_mod_cmd_match_unpause")
	cmdlib.unregisterServerCommand("soccer_mod_cmd_match_stop")
	cmdlib.unregisterServerCommand("soccer_mod_cmd_match_sub")
	cmdlib.unregisterServerCommand("soccer_mod_cmd_shout")
	cmdlib.unregisterServerCommand("soccer_mod_cmd_sprint")

def unload():
	unload_client_server_cmd()