import es
import os

def es_map_start(event_var):
	sounds = []

	sounds.append("sm_vote_sound_start")

	check = es.ServerVar("sm_module_match_on")
	if check == 1:
		sounds.append("sm_match_sound_round_start")
		sounds.append("sm_match_sound_round_end")
		sounds.append("sm_match_sound_period_end")
		sounds.append("sm_match_sound_match_end")

	check = es.ServerVar("sm_module_referee_on")
	if check == 1:
		sounds.append("sm_referee_sound_whistle")
		sounds.append("sm_referee_sound_red_card")

	check = es.ServerVar("sm_module_shout_on")
	if check == 1:
		sounds.append("sm_shout_sound_foul")
		sounds.append("sm_shout_sound_goal")
		sounds.append("sm_shout_sound_ole")
		sounds.append("sm_shout_sound_pass")
		sounds.append("sm_shout_sound_save")
		sounds.append("sm_shout_sound_shot")

	add_sounds(sounds)

	check = es.ServerVar("sm_module_player_on")
	if check == 1:
		value = str(es.ServerVar("sm_player_model_t"))
		add_model(value)
		value = str(es.ServerVar("sm_player_model_ct"))
		add_model(value)
		value = str(es.ServerVar("sm_player_model_t_gk"))
		add_model(value)
		value = str(es.ServerVar("sm_player_model_ct_gk"))
		add_model(value)

	check = es.ServerVar("sm_module_training_on")
	if check == 1:
		value = "models/" + str(es.ServerVar("sm_training_model_ball"))
		add_model(value)

def add_sounds(sounds):
	for sound in sounds:
		file = es.ServerVar(sound)
		cmd = "downloadable sound/%s" % (file)
		es.server.queuecmd(cmd)

def add_model(value):
	words = value.split("/")
	length = len(words) - 1

	dir = ""
	for i in range(0, length):
		dir += words[i] + "/"

	add_dir("materials/" + dir)
	add_dir(dir)

def add_dir(dir):
	path = "cstrike/%s" % (dir)
	list = os.listdir(path)
	for item in list:
		type = item.split(".")
		length = len(type) - 1
		if type[length] != "ztmp" and type[length] != "bz2":
			cmd = "downloadable %s%s" % (dir, item)
			es.server.queuecmd(cmd)