import cmdlib
import es

def load():
	load_player_server_cmd()
	es.server.cmd("exec soccer_mod/player.cfg")

def load_player_server_cmd():
	cmdlib.registerServerCommand("soccer_mod_player_downloads", player_downloads, "Player setting")
	cmdlib.registerServerCommand("soccer_mod_player_model_t", player_model_t, "Player setting")
	cmdlib.registerServerCommand("soccer_mod_player_model_ct", player_model_ct, "Player setting")
	cmdlib.registerServerCommand("soccer_mod_player_model_t_gk", player_model_t_gk, "Player setting")
	cmdlib.registerServerCommand("soccer_mod_player_model_ct_gk", player_model_ct_gk, "Player setting")

def player_downloads(args):
	try:
		check = int(args[0])
		if check == 1:
			es.set("sm_player_downloads_on", 1)
		else:
			es.set("sm_player_downloads_on", 0)
	except ValueError:
		es.set("sm_player_downloads_on", 0)

def player_model_t(args):
	es.set("sm_player_model_t", args[0])

def player_model_ct(args):
	es.set("sm_player_model_ct", args[0])

def player_model_t_gk(args):
	es.set("sm_player_model_t_gk", args[0])

def player_model_ct_gk(args):
	es.set("sm_player_model_ct_gk", args[0])

def unload_player_server_cmd():
	cmdlib.unregisterServerCommand("soccer_mod_player_downloads")
	cmdlib.unregisterServerCommand("soccer_mod_player_model_t")
	cmdlib.unregisterServerCommand("soccer_mod_player_model_ct")
	cmdlib.unregisterServerCommand("soccer_mod_player_model_t_gk")
	cmdlib.unregisterServerCommand("soccer_mod_player_model_ct_gk")

def es_map_start(event_var):
	es.server.cmd("exec soccer_mod/player.cfg")

def unload():
	unload_player_server_cmd()